org.apache.tapestry5.internal.util

## Class AutofocusValidationDecorator

- java.lang.Object
- - org.apache.tapestry5.internal.util.ValidationDecoratorWrapper
  - - org.apache.tapestry5.internal.util.AutofocusValidationDecorator

- All Implemented Interfaces:
    ValidationDecorator

      public class AutofocusValidationDecorator
      extends ValidationDecoratorWrapper

  Used by `Form` to determine which fields will be focused and a what priority.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutofocusValidationDecorator(ValidationDecorator delegate, ValidationTracker tracker, JavaScriptSupport javascriptSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insideField(Field field)` Invoked at a point where the decorator may write additional attributes into the field.

    - ### Methods inherited from class org.apache.tapestry5.internal.util.ValidationDecoratorWrapper

      `afterField, afterLabel, beforeField, beforeLabel, insideLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutofocusValidationDecorator

          public AutofocusValidationDecorator(ValidationDecorator delegate,
                                              ValidationTracker tracker,
                                              JavaScriptSupport javascriptSupport)

  - ### Method Detail

    - #### insideField

          public void insideField(Field field)

      Description copied from interface: `ValidationDecorator`
      Invoked at a point where the decorator may write additional attributes into the field. Generally speaking, you will want to render informal parameters before invoking this method.
      Specified by:
        `insideField` in interface `ValidationDecorator`
      Overrides:
        `insideField` in class `ValidationDecoratorWrapper`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.